> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Notification

> Send a notification to the specified targets



## OpenAPI

````yaml https://app.pnta.io/api-docs/v1/swagger.json post /api/v1/notifications
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://app.pnta.io
    variables:
      defaultHost:
        default: app.pnta.io
security: []
paths:
  /api/v1/notifications:
    post:
      tags:
        - Notifications
      summary: Send Notification
      description: Send a notification to the specified targets
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                notification:
                  type: object
                  required:
                    - title
                    - body
                    - targets
                  properties:
                    title:
                      type: string
                      description: Notification title
                    body:
                      type: string
                      description: Notification body
                    link_to:
                      type: string
                      description: Link to in-app page
                    targets:
                      type: array
                      items:
                        oneOf:
                          - type: string
                            description: Topic/Device ID or device token
                          - type: object
                            properties:
                              metadata:
                                type: object
                                additionalProperties:
                                  type: string
                                description: Key-value pairs to match device metadata
                      description: >-
                        Array of targets: IDs, device tokens, or metadata
                        filters
              required:
                - notification
        required: true
        description: Notification details
      responses:
        '201':
          description: created
        '401':
          description: unauthorized
        '422':
          description: unprocessable entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API key

````